Query bounded retained JSON, text lines or binary byte ranges
curl --request POST \
--url https://app.factorize.sh/api/v1/agent/responses/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"expression": "@",
"offset": 0,
"limit": 25,
"maxResultBytes": 4096
}
'import requests
url = "https://app.factorize.sh/api/v1/agent/responses/query"
payload = {
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"expression": "@",
"offset": 0,
"limit": 25,
"maxResultBytes": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mode: 'json',
expression: '@',
offset: 0,
limit: 25,
maxResultBytes: 4096
})
};
fetch('https://app.factorize.sh/api/v1/agent/responses/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/responses/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mode' => 'json',
'expression' => '@',
'offset' => 0,
'limit' => 25,
'maxResultBytes' => 4096
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/responses/query"
payload := strings.NewReader("{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/agent/responses/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/responses/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"data": "<unknown>",
"offset": 0,
"nextOffset": 0,
"done": true,
"encoding": "json"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}agent
Query bounded retained JSON, text lines or binary byte ranges
Rechecks proxy authorization and identity/tenant/integration expiry. JSON/text parsing is limited to 1 MiB; larger bodies remain available through byte ranges. JMESPath functions, root references and constructors are excluded to bound intermediate allocations.
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
POST
/
api
/
v1
/
agent
/
responses
/
query
Query bounded retained JSON, text lines or binary byte ranges
curl --request POST \
--url https://app.factorize.sh/api/v1/agent/responses/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"expression": "@",
"offset": 0,
"limit": 25,
"maxResultBytes": 4096
}
'import requests
url = "https://app.factorize.sh/api/v1/agent/responses/query"
payload = {
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"expression": "@",
"offset": 0,
"limit": 25,
"maxResultBytes": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mode: 'json',
expression: '@',
offset: 0,
limit: 25,
maxResultBytes: 4096
})
};
fetch('https://app.factorize.sh/api/v1/agent/responses/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/responses/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mode' => 'json',
'expression' => '@',
'offset' => 0,
'limit' => 25,
'maxResultBytes' => 4096
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/responses/query"
payload := strings.NewReader("{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/agent/responses/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/responses/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mode\": \"json\",\n \"expression\": \"@\",\n \"offset\": 0,\n \"limit\": 25,\n \"maxResultBytes\": 4096\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "json",
"data": "<unknown>",
"offset": 0,
"nextOffset": 0,
"done": true,
"encoding": "json"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Body
application/json
Response
Bounded selected data